Bug 10152 - Не обрабатываются каталоги ниже qos/1
Summary: Не обрабатываются каталоги ниже qos/1
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: etcnet (show other bugs)
Version: unstable
Hardware: all Linux
: P2 major
Assignee: Mikhail Efremov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-17 20:52 MSD by Maxim Bodyansky
Modified: 2007-01-28 20:57 MSK (History)
7 users (show)

See Also:


Attachments
С этим патчем "it works for me" (396 bytes, patch)
2006-10-17 20:59 MSD, Maxim Bodyansky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Bodyansky 2006-10-17 20:52:34 MSD
Имею слудующую структуру конфигурации qos:
-- BEGIN ls -R --
/etc/net/ifaces/ppp0/qos/:
1

/etc/net/ifaces/ppp0/qos/1:
1  qdisc

/etc/net/ifaces/ppp0/qos/1/1:
122  77  class  filter

/etc/net/ifaces/ppp0/qos/1/1/122:
class  filter

/etc/net/ifaces/ppp0/qos/1/1/77:
class
-- END ls -R --

Проблема: скрипт config-qos не опускается ниже /etc/net/ifaces/ppp0/qos/1,
соответственно структура классов не создаётся.
Comment 1 Maxim Bodyansky 2006-10-17 20:59:26 MSD
Created attachment 1664 [details]
С этим патчем "it works for me"
Comment 2 Denis Ovsienko 2006-11-19 19:30:02 MSK
Спасибо, буду разбираться, когда я успел сломать. Какая версия /etc/net?
Comment 3 maximbo 2006-11-19 20:48:16 MSK
(In reply to comment #2)
> Спасибо, буду разбираться, когда я успел сломать. Какая версия /etc/net?

Млин, забыл: etcnet-0.8.4-alt2
Comment 4 Andrew Kornilov 2007-01-26 15:11:23 MSK
Подтверждаю. Не работает без патча. Оно и понятно, что такое d?
Comment 5 Andrew Kornilov 2007-01-27 18:04:42 MSK
В приципе, в trunke все уже не так, там с профилями QoS, может уже и не
актуально. Но в 0.8.4 получается три бага: неправильная обработка sysctl-опций,
эта ошибка в QoS ну и еще в firewall там баг, не flush-ились цепочки. В trunk
все поправлено, похоже (только на тему QoS я не уверен).
Comment 6 Denis Ovsienko 2007-01-28 15:16:15 MSK
fixed in trunk
Comment 7 Denis Ovsienko 2007-01-28 20:57:00 MSK
Версия 0.8.5 опубликована.